VST 3 Interfaces VST 3.7 SDK for developing VST plug-in

- Main Page
- Modules
- Namespaces
- Classes
- Files

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Variables
Predefined Preset Attributes

## Variables
const CString | kPlugInName = "PlugInName"
| plug-in name
const CString | kPlugInCategory = "PlugInCategory"
| eg. "Fx|Dynamics", "Instrument", "Instrument|Synth"
const CString | kInstrument = "MusicalInstrument"
| eg. instrument group (like 'Piano' or 'Piano|A. Piano')
const CString | kStyle = "MusicalStyle"
| eg. 'Pop', 'Jazz', 'Classic'
const CString | kCharacter = "MusicalCharacter"
| eg. instrument nature (like 'Soft' 'Dry' 'Acoustic')
const CString | kStateType = "StateType"
| Type of the given state see StateType : Project / Default Preset or Normal Preset.
const CString | kFilePathStringType = "FilePathString"
| Full file path string (if available) where the preset comes from (be sure to use a bigger string when asking for it (with 1024 characters))
const CString | kName = "Name"
| name of the preset
const CString | kFileName = "FileName"
| filename of the preset (including extension)

## Detailed Description

## Variable Documentation

const CString kPlugInName = "PlugInName"

plug-in name

const CString kPlugInCategory = "PlugInCategory"

eg. "Fx|Dynamics", "Instrument", "Instrument|Synth"

const CString kInstrument = "MusicalInstrument"

eg. instrument group (like 'Piano' or 'Piano|A. Piano')

const CString kStyle = "MusicalStyle"

eg. 'Pop', 'Jazz', 'Classic'

const CString kCharacter = "MusicalCharacter"

eg. instrument nature (like 'Soft' 'Dry' 'Acoustic')

const CString kStateType = "StateType"

Type of the given state see StateType : Project / Default Preset or Normal Preset.

const CString kFilePathStringType = "FilePathString"

Full file path string (if available) where the preset comes from (be sure to use a bigger string when asking for it (with 1024 characters))

const CString kName = "Name"

name of the preset

const CString kFileName = "FileName"

filename of the preset (including extension)

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.